org.apache.xmlbeans.xml.stream

## Interface Attribute

    public interface Attribute

An interface that contains information about an attribute

Since:
  Weblogic XML Input Stream 1.0
See Also:
  `XMLName`, `Attribute`

### Method Summary

All Methods Instance Methods Abstract Methods
`XMLName` `getName()` Get the XMLName of the current attribute.
`XMLName` `getSchemaType()` Get the attribute type of the current attribute
`String` `getType()` Get the attribute type of the current attribute
`String` `getValue()` Get the attribute value of the current attribute.

### Method Detail

#### getName

    XMLName getName()

Get the XMLName of the current attribute.

See Also:
  `XMLName`

#### getValue

    String getValue()

Get the attribute value of the current attribute.

#### getType

    String getType()

Get the attribute type of the current attribute

#### getSchemaType

    XMLName getSchemaType()

Get the attribute type of the current attribute